package hu.se.app15;

/**
 * Class under test.
 */
public class TimeTrackerApp {

	// sum of all seconds of all time slots
	private long totalSeconds = 0;

	private Timer timer;

	public TimeTrackerApp(Timer timer) {
		this.timer = timer;
	}

	/**
	 * Adds a time slot to the tracker.
	 * 
	 * @param start
	 *            the time when the slot starts in the format "HH:mm:ss".
	 * @param end
	 *            the time when the slot ends in the format "HH:mm:ss".
	 * @return the total duration in seconds of all time slots added so far.
	 */
	public long addTimeSlot(String start, String end) {
		long delta = this.timer.getDeltaInSeconds(start, end);
		this.totalSeconds = this.totalSeconds + delta;
		return this.totalSeconds;
	}

}
