package hu.se.app16;

/**
 * Class under test.
 */
public class FlatrateApp {

	private Provider provider;

	public FlatrateApp(Provider provider) {
		this.provider = provider;
	}

	/**
	 * Checks whether it is beneficial to take the flatrate instead of paying calls
	 * per minute.
	 * 
	 * @param minutes
	 *            total expected duration of all calls in minutes.
	 * @return <code>true</code> if it is beneficial to take the flatrate,
	 *         <code>false</code> if it is beneficial to pay per minute.
	 */
	public boolean isFlatrateBeneficial(int minutes) {
		double flatratePrice = this.provider.getFlatratePrice();
		double callPrice = this.provider.getPrice(minutes);
		return callPrice > flatratePrice;
	}

}
